読者です 読者をやめる 読者になる 読者になる

OS X Mavericks 上で Eclipse 4.4 Luna をアップデートしたらJDK7を要求された

Eclipse 4.4→4.4内でのアップデート. アップデート終了後に Eclipse を起動するようとすると, java version 1.6.8 じゃだめなので 1.7 にして, という警告がでて起動しない.

設定 > Java ではJavaプラグインは1.7になってるのだが… 一方, /usr/bin/java などは確かに 1.6.8 のまま. そこでJRE7 (java version 1.7)をhttp://www.oracle.comからダウンロードしてインストールしたが変化なし. JDK7(java version 1.7)をインストールすると, /usr/bin/java などが更新され, Eclipse も起動するようになった.

EclipseJRE さえあれば動くと思っていたのだが… JDKインストーラEclipse の求めるpathの設定をするのだろうか. JDK7からは Apple でなく OracleJava を配布するようになったのとも関係ある?

git や svn などのプラグインもいれているので, Eclipse 本体でなくそれらのアップデートに起因するかもしれない. JDTは使ってないので, JDT特有の話ではないと思う.